## cmigrep 1.5

=== Makefile ===
SOURCES=misc.cmx tbl.cmx config.cmx clflags.cmx terminfo.cmx ccomp.cmx	\
warnings.cmx consistbl.cmx linenum.cmx location.cmx longident.cmx	\
syntaxerr.cmx parser.cmx lexer.cmx parse.cmx printast.cmx		\
unused_var.cmx ident.cmx path.cmx primitive.cmx types.cmx btype.cmx	\
oprint.cmx subst.cmx predef.cmx datarepr.cmx env.cmx typedtree.cmx	\
ctype.cmx printtyp.cmx includeclass.cmx mtype.cmx includecore.cmx	\
includemod.cmx parmatch.cmx typetexp.cmx stypes.cmx typecore.cmx	\
typedecl.cmx typeclass.cmx typemod.cmx cmigrep.ml

BYTESOURCES=misc.cmo tbl.cmo config.cmo clflags.cmo terminfo.cmo	\
ccomp.cmo warnings.cmo consistbl.cmo linenum.cmo location.cmo		\
longident.cmo syntaxerr.cmo parser.cmo lexer.cmo parse.cmo		\
printast.cmo unused_var.cmo ident.cmo path.cmo primitive.cmo types.cmo	\
btype.cmo oprint.cmo subst.cmo predef.cmo datarepr.cmo env.cmo		\
typedtree.cmo ctype.cmo printtyp.cmo includeclass.cmo mtype.cmo		\
includecore.cmo includemod.cmo parmatch.cmo typetexp.cmo stypes.cmo	\
typecore.cmo typedecl.cmo typeclass.cmo typemod.cmo cmigrep.ml


GODI_CONF=$(shell godi_confdir)
GODI_BASE=$(shell cat $(GODI_CONF)/godi.conf | grep ^LOCALBASE | sed -e 's/LOCALBASE *= *//')
GODI_LIB=$(GODI_BASE)/lib/ocaml/compiler-lib

all:
	ocamlfind ocamlopt -o cmigrep -I $(GODI_LIB) \
	-package pcre,findlib,unix -linkpkg $(SOURCES)

byte:
	ocamlfind ocamlc -o cmigrep -I $(GODI_LIB) \
	-package pcre,findlib,unix -linkpkg $(BYTESOURCES)

install:
	cp cmigrep $(GODI_BASE)/bin

clean:
	@rm -f *.o *.cmo *.cmi *.cma *.cmx *.cmi cmigrep

=== debian/changelog ===
cmigrep (1.5-11) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 19:53:57 +0100

cmigrep (1.5-10) experimental; urgency=low

  * Team upload
  * Compile with OCaml >= 4.01
  * debian/patches:
    - Compile without godi
    + Adapt to Types types of OCaml >= 4
    + Adapt build system to OCaml >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 16:39:37 +0100

cmigrep (1.5-9) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 3.12.1 (no changes)

  [ Stefano Zacchiroli ]
  * Remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 22:25:45 +0100

cmigrep (1.5-8) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add libfindlib-ocaml-dev to Build-Depends-Indep (Closes: #614524)

  [ Ralf Treinen ]
  * Standards-Version 3.9.2 (no change)
  * Migrate to dh, drop build-dependency on cdbs, bump version
    of build-dependency on debhelper
  * build target: we do not have not set the GOBI_LIB variable since
    reference to it is removed by patch
  * Convert to source format 3.0, drop quilt from build-dependencies.

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Apr 2011 19:28:29 +0200

cmigrep (1.5-7) unstable; urgency=low

  [ Ralf Treinen ]
  * Changed section to ocaml

  [ Mehdi Dogguy ]
  * Rebuild against OCaml 3.11.2

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 11 Feb 2010 21:51:35 +0100

cmigrep (1.5-6) unstable; urgency=low

  * debian/cmigrep.1: escape hyphen, fix a typo.
  * Standards-Version: 3.8.4 (no change)
  * debian/copyright: use © for copyright, point to versionend GPL file.

 -- Ralf Treinen <treinen@debian.org>  Sat, 30 Jan 2010 14:47:09 +0100

cmigrep (1.5-5) unstable; urgency=low

  * Bump Standards-Version to 3.8.3 (no change)
  * Convert from dpatch to quilt:
    - build-depends on quilt, not dpatch
    - use quilt cdbs rules
    - add debian/patches/series, remove 00list
    - simplify names of patches, use headers similar to DEP-5 format
    - updated debian/README.source accordingly.
  * Remove DM-Upload-Allowed
  * Updated Mehdi's email address
  * Downgraded build-dependency on libpcre-ocaml-dev from >= 6.0.1-1 to
    6.0.1.
  * Fixed spelling error in manpage.
  
 -- Ralf Treinen <treinen@debian.org>  Mon, 11 Jan 2010 20:28:57 +0100

cmigrep (1.5-4) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Mehdi Dogguy ]
  * Bump Standards-Version to 3.8.2
    o Added a README.source
  * Add myself to uploaders
  * Remove usage of old OCaml's standard library location (It was harmless
    but there is no reason to keep it)
  * Tighten build depends to ease OCaml 3.11.1 transition.
    * Add DM-Upload-Allowed (with team consent)

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 07 Jul 2009 13:50:53 +0200

cmigrep (1.5-3) unstable; urgency=low

  * Patch 02no-private-flag: some constructors in the typing/types module
    of the compiler libs have lost the "private" field.
  * Convert to cdbs, build-depend on cdbs and dh-ocaml
  * Add dependency on ${misc:Depends}
  * Rename debian/dirs -> debian/cmigrep.dirs, 
    debian/docs -> debian/cmigrep.docs
  * Create debian/cmigrep.manpages
  * Cleanup Uploaders
  * Standards-Version: 3.8.0 (no change)
  * Recompile for ocaml 3.11.

 -- Ralf Treinen <treinen@debian.org>  Mon, 02 Mar 2009 21:05:56 +0100

cmigrep (1.5-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Rebuild with OCaml 3.10.2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 May 2008 12:27:08 +0200

cmigrep (1.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added Homepage field.

 -- Ralf Treinen <treinen@debian.org>  Wed, 30 Apr 2008 22:33:16 +0200

cmigrep (1.4-4) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Rebuild with ocaml 3.10.1
  * Standards-Version 3.7.3 (no change)
  * Fix capitalization of OCaml in short package description
  * Do not use .UR macro in manpage
  * Do not install emacs mode any longer: compilation errors, and seems
    not realy useful (closes: Bug#448148).

 -- Ralf Treinen <treinen@debian.org>  Mon, 25 Feb 2008 09:21:44 +0100

cmigrep (1.4-3) unstable; urgency=low

  * Install emacs mode into its own subdirectory to comply with emacs
    policy 6.C (closes: Bug#448142).

 -- Ralf Treinen <treinen@debian.org>  Mon, 29 Oct 2007 21:01:05 +0100

cmigrep (1.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Mon, 03 Sep 2007 19:13:37 +0200

cmigrep (1.4-1) experimental; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Fri, 24 Aug 2007 17:08:16 +0200

cmigrep (1.3-4) experimental; urgency=low

  * Added dependency on libpcre-ocaml (closes: Bug#433650).

 -- Ralf Treinen <treinen@debian.org>  Wed, 18 Jul 2007 17:40:58 +0200

cmigrep (1.3-3) experimental; urgency=low

  * Rebuild against ocaml 3.10
  * Use dpatch
  * Patch 01make-without-godi: provide in the Makefile directly the include
    paths for the compiler libs.

 -- Ralf Treinen <treinen@debian.org>  Sat, 07 Jul 2007 10:22:03 +0200

cmigrep (1.3-2) unstable; urgency=high

  * Removed trailing common in the uploaders field (closes: Bug#426486).
  * Fix install-emacsen: compile only cmigrep.el, don't remove unrelated 
    el files (!), compile with -no-site-files, do not create a path.el

 -- Ralf Treinen <treinen@debian.org>  Sat, 30 Jun 2007 15:36:59 +0200

cmigrep (1.3-1) unstable; urgency=low

  * Initial release (Closes: Bug#424893). This package is a split off from
    the ocaml-tools package.
  * debian/rules: fix the "clean" target which was broken for cmigrep in
    the ocaml-tools package (Closes: Bug#424390).

 -- Ralf Treinen <treinen@debian.org>  Fri, 25 May 2007 20:46:39 +0200

=== debian/control ===
Source: cmigrep
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>, 
 Remi Vanicat <vanicat@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep:
 ocaml-nox (>= 4.01),
 libpcre-ocaml-dev (>= 6.0.1),
 ocaml-findlib (>= 1.4),
 libfindlib-ocaml-dev,
 ocaml-compiler-libs
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cmigrep.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cmigrep.git
Homepage: http://homepage.mac.com/letaris/

Package: cmigrep
Architecture: all
Depends: ${misc:Depends},
  ocaml-base-nox-${F:OCamlABI}, libpcre-ocaml (>= 6.2.2-1)
Conflicts: ocaml-tools (<= 2007.02.04-2)
Replaces: ocaml-tools
Description: search in OCaml compiled interface files
 This program allows you to search for items (like for instance types,
 constructors, or exceptions) in compiled interface files generated by
 the Objective Caml compiler.

=== debian/rules ===
#!/usr/bin/make -f

DOCDIR = debian/cmigrep/usr/share/doc/cmigrep
OCAMLABI := $(shell ocamlc -version)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) byte

# cmigrep binary is installed by dh_install
override_dh_auto_install:
	mkdir -p $(DOCDIR)
	cp Changes $(DOCDIR)/changelog

override_dh_gencontrol:
	dh_gencontrol -i -- -VF:OCamlABI="$(OCAMLABI)"

=== debian/watch ===
version=3
http://homepage.mac.com/letaris/cmigrep-(.*)\.tar\.bz2
